Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.ee
Class JDBCConnectionFactory

    java.lang.Object
      |
      +--com.solarmetric.conf.ConfigurationImpl
            |
            +--kodo.conf.JDOConfigurationImpl
                  |
                  +--kodo.jdbc.conf.JDBCConfigurationImpl
                        |
                        +--kodo.jdbc.ee.JDBCConnectionFactory

All Implemented Interfaces:
  BeanInfo, Cloneable, com.solarmetric.util.Closeable, Configuration, ConnectionFactory, Externalizable, JDBCConfiguration, JDOConfiguration, JDOConnectionFactory, KodoPersistenceManagerFactory, PersistenceManagerFactory, Referenceable, Referenceable, Serializable, ValueListener

public class JDBCConnectionFactory
extends JDBCConfigurationImpl
implements JDOConnectionFactory

JCA ConnectionFactory for obtaining PersistenceManagers.

See Also:
  Serialized Form

Fields inherited from class kodo.jdbc.conf.JDBCConfigurationImpl
`classIndicator, connectionDecoratorPlugins, connectionDecorators, dataSourceMode, dbdictionary, dbdictionaryPlugin, fetchDirection, foreignKeyConstraints, jdbcListenerPlugins, jdbcListeners, lrsSize, mappingFactory, mappingFactoryPlugin, resultSetType, schemaFactory, schemaFactoryPlugin, schemas, sequenceFactory, sequenceFactoryPlugin, subclassMapping, synchronizeMappings, transactionIsolation, updateManager, updateManagerPlugin, versionIndicator`

Fields inherited from class kodo.conf.JDOConfigurationImpl
`aggregateListenerPlugins, aggregateListeners, classResolver, classResolverPlugin, compatibility, compatibilityPlugin, connection2DriverName, connection2Password, connection2Properties, connection2URL, connection2UserName, connectionDriverName, connectionFactory, connectionFactory2, connectionFactory2Name, connectionFactory2Properties, connectionFactoryName, connectionFactoryProperties, connectionPassword, connectionProperties, connectionRetainMode, connectionURL, connectionUserName, copyObjectIds, dataCacheManager, dataCachePlugins, dataCaches, dataCacheTimeout, dynamicDataStructs, eagerFetchMode, fetchBatchSize, fetchGroups, filterListenerPlugins, filterListeners, flushBeforeQueries, ignoreCache, inverseManagerPlugin, license, licenseKey, lockManagerPlugin, lockTimeout, logFactoryPlugin, managedRuntime, managedRuntimePlugin, managementConfig, managementConfigPlugin, mbeanServer, metaDataLoaderPlugin, metaRepos, multithreaded, nontransactionalRead, nontransactionalWrite, objectLookupMode, optimistic, orphanedKeyAction, orphanedKeyPlugin, persistentClasses, pmFactoryPlugin, pmPlugin, pmServer, pmServerPlugin, profilingAgent, proxyManager, proxyManagerPlugin, queryCachePlugin, queryCompilationCache, queryCompilationCachePlugin, queryRepos, readLockLevel, remoteEventManager, remoteProviderPlugin, restoreMutableValues, restoreValues, retainValues, retainValuesInOptimistic, retryClassRegistration, savepointManager, savepointManagerPlugin, streamDecs, subclassFetchMode, timeWatchManager, transactionMode, transmitAddObjectIds, writeLockLevel`

Fields inherited from class com.solarmetric.conf.ConfigurationImpl
`logFactory`

Fields inherited from interface kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_REMOTE, LOG_RUNTIME, LOG_TOOL, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_NONTRANS_READ, OPTION_NULL_COLLECTION, OPTION_OPTIMISTIC, OPTION_QUERY_JDOQL, OPTION_QUERY_SQL, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_CATEGORY, ATTRIBUTE_ORDER, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Fields inherited from interface kodo.jdbc.conf.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Constructor Summary
`JDBCConnectionFactory()`
`JDBCConnectionFactory(ManagedConnectionFactory mcf, ConnectionManager cm)`
`JDBCConnectionFactory(Properties props)`

Method Summary
`void` | `addInstanceLifecycleListener(InstanceLifecycleListener listener, Class[] cls)` JDO 2.0 Preview.
`JDOConfiguration` | `getConfiguration()` Return the configuration for this factory.
`Connection` | `getConnection()`
`Connection` | `getConnection(ConnectionSpec spec)`
`ResourceAdapterMetaData` | `getMetaData()`
`PersistenceManager` | `getPersistenceManager()`
`KodoPersistenceManager` | `getPersistenceManager(boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`PersistenceManager` | `getPersistenceManager(String user, String pass)`
`KodoPersistenceManager` | `getPersistenceManager(String user, String pass, boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)`
`Properties` | `getProperties()`
`RecordFactory` | `getRecordFactory()`
`Reference` | `getReference()`
`boolean` | `isPersistenceManagerServerRunning()` Return true if a persistence manager server is running.
`boolean` | `joinPersistenceManagerServer()` Join the thread running the persistence manager server for this factory.
`void` | `removeInstanceLifecycleListener(InstanceLifecycleListener listener)` JDO 2.0 Preview.
`void` | `setReference(Reference ref)`
`boolean` | `startPersistenceManagerServer()` Start the persistence manager server.
`boolean` | `stopPersistenceManagerServer()` Stop the persistence manager server.

Methods inherited from class kodo.jdbc.conf.JDBCConfigurationImpl
`close, createCapabilities, getClassIndicator, getConnectionDecoratorInstances, getConnectionDecorators, getConnectionFactory, getConnectionFactory2, getDataSource, getDataSource2, getDataSourceMode, getDBDictionary, getDBDictionaryInstance, getFetchDirection, getFetchDirectionConstant, getForeignKeyConstraints, getJDBCListenerInstances, getJDBCListeners, getLRSSize, getLRSSizeConstant, getMappingFactory, getMappingFactoryInstance, getMappingRepository, getMetaDataRepository, getResultSetType, getResultSetTypeConstant, getSchemaFactory, getSchemaFactoryInstance, getSchemas, getSchemasList, getSequenceFactory, getSequenceFactoryInstance, getSubclassMapping, getSynchronizeMappings, getTransactionIsolation, getTransactionIsolationConstant, getUpdateManager, getUpdateManagerInstance, getVersionIndicator, isDataSourceModeEnlisted, isInvalidProperty, setClassIndicator, setConnectionDecorators, setConnectionDecorators, setConnectionFactory, setConnectionFactory2, setDataSourceMode, setDataSourceModeEnlisted, setDBDictionary, setDBDictionary, setFetchDirection, setFetchDirection, setFirstPersistenceManagerPassword, setFirstPersistenceManagerUserName, setForeignKeyConstraints, setForeignKeyConstraints, setJDBCListeners, setJDBCListeners, setLRSSize, setLRSSize, setMappingFactory, setMappingFactory, setResultSetType, setResultSetType, setSchemaFactory, setSchemaFactory, setSchemas, setSchemas, setSequenceFactory, setSequenceFactory, setSubclassMapping, setSynchronizeMappings, setTransactionIsolation, setTransactionIsolation, setUpdateManager, setUpdateManager, setVersionIndicator`

Methods inherited from class kodo.conf.JDOConfigurationImpl
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getCompatibility, getCompatibilityInstance, getConfigurationException, getConfigurationLog, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getDynamicDataStructs, getEagerFetchMode, getEagerFetchModeConstant, getEvaluationCapabilities, getExecutionContextNameProviderInstance, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getInverseManager, getLicense, getLicenseKey, getLockManager, getLockTimeout, getLog, getLogFactory, getManagedRuntime, getManagedRuntimeInstance, getManagementConfiguration, getMBeanServer, getMetaDataLoader, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectLookupMode, getObjectLookupModeConstant, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProductName, getProfilingAgentInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQueryMetaDataRepository, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRemoteCommitTransmitAddObjectIds, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getRetryClassRegistration, getSavepointManager, getSavepointManagerInstance, getStreamDecorators, getSubclassFetchMode, getSubclassFetchModeConstant, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isTransactionModeManaged, newDataCacheInstance, newInverseManagerInstance, newLockManagerInstance, newMetaDataGenerator, newMetaDataLoader, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setClassResolverInstance, setCompatibility, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setDynamicDataStructs, setDynamicDataStructs, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setInverseManager, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setManagementConfiguration, setMetaDataLoader, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setObjectLookupMode, setObjectLookupMode, setOptimistic, setOptimistic, setOrphanedKeyAction, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQueryMetaDataRepository, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRemoteCommitTransmitAddObjectIds, setRemoteCommitTransmitAddObjectIds, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setRetryClassRegistration, setRetryClassRegistration, setSavepointManager, setStreamDecorators, setSubclassFetchMode, setSubclassFetchMode, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from class com.solarmetric.conf.ConfigurationImpl
`addBoolean, addDouble, addFile, addInt, addPlugin, addPluginList, addPropertyChangeListener, addString, addStringList, addValue, assertNotFrozen, clone, equals, fromFile, fromProperties, fromStream, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getMethodDescriptors, getPropertyDescriptors, getValue, getValues, hashCode, hasJava5, isFrozen, loadDefaults, readExternal, removePropertyChangeListener, setFrozen, setLogFactory, setProperties, setPropertiesFile, toProperties, valueChanged, writeExternal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.conf.JDOConfiguration
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getCompatibility, getCompatibilityInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getDynamicDataStructs, getEagerFetchMode, getEagerFetchModeConstant, getExecutionContextNameProviderInstance, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getInverseManager, getLicense, getLicenseKey, getLockManager, getLockTimeout, getLog, getManagedRuntime, getManagedRuntimeInstance, getManagementConfiguration, getMBeanServer, getMetaDataLoader, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectLookupMode, getObjectLookupModeConstant, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProfilingAgentInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQueryMetaDataRepository, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRemoteCommitTransmitAddObjectIds, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getRetryClassRegistration, getSavepointManager, getSavepointManagerInstance, getStreamDecorators, getSubclassFetchMode, getSubclassFetchModeConstant, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isTransactionModeManaged, newDataCacheInstance, newInverseManagerInstance, newLockManagerInstance, newMetaDataGenerator, newMetaDataLoader, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setCompatibility, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setDynamicDataStructs, setDynamicDataStructs, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setInverseManager, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setManagementConfiguration, setMetaDataLoader, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setObjectLookupMode, setObjectLookupMode, setOptimistic, setOptimistic, setOrphanedKeyAction, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQueryMetaDataRepository, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRemoteCommitTransmitAddObjectIds, setRemoteCommitTransmitAddObjectIds, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setRetryClassRegistration, setRetryClassRegistration, setSavepointManager, setStreamDecorators, setSubclassFetchMode, setSubclassFetchMode, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from interface com.solarmetric.conf.Configuration
`addPropertyChangeListener, clone, close, fromFile, fromProperties, fromStream, getConfigurationException, getConfigurationLog, getLog, getLogFactory, getValue, getValues, hasJava5, isFrozen, removePropertyChangeListener, setFrozen, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`close, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getIgnoreCache, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getRestoreValues, getRetainValues, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, supportedOptions`

Constructor Detail

### JDBCConnectionFactory

    public JDBCConnectionFactory(ManagedConnectionFactory mcf,
                                 ConnectionManager cm)

### JDBCConnectionFactory

    public JDBCConnectionFactory()

### JDBCConnectionFactory

    public JDBCConnectionFactory(Properties props)

Method Detail

### getRecordFactory

    public RecordFactory getRecordFactory()
                                   throws NotSupportedException

  Specified by:
    `getRecordFactory` in interface `ConnectionFactory`

### getMetaData

    public ResourceAdapterMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `ConnectionFactory`

### getConnection

    public Connection getConnection()
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`

### getConnection

    public Connection getConnection(ConnectionSpec spec)
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`

### setReference

    public void setReference(Reference ref)

  Specified by:
    `setReference` in interface `Referenceable`

### getReference

    public Reference getReference()

  Specified by:
    `getReference` in interface `Referenceable`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager(String user,
                                                    String pass)

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Properties props)

### getConfiguration

    public JDOConfiguration getConfiguration()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return the configuration for this factory.
  Specified by:
    `getConfiguration` in interface `KodoPersistenceManagerFactory`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(boolean managed,
                                                        int connRetainMode)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a persistence manager in the given transaction and connection retain mode. The connection mode constants are defined in `KodoPersistenceManager`.
  Specified by:
    `getPersistenceManager` in interface `KodoPersistenceManagerFactory`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(String user,
                                                        String pass,
                                                        boolean managed,
                                                        int connRetainMode)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a persistence manager in the given transaction and connection retain mode. The mode connection mode constants are defined in `KodoPersistenceManager`.
  Specified by:
    `getPersistenceManager` in interface `KodoPersistenceManagerFactory`

### startPersistenceManagerServer

    public boolean startPersistenceManagerServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Start the persistence manager server. This typically happens automatically when a factory with a configured server is obtained.
  Specified by:
    `startPersistenceManagerServer` in interface `KodoPersistenceManagerFactory`
  Following copied from interface: `kodo.runtime.KodoPersistenceManagerFactory`
  Returns:
    false if there is no server configured, true otherwise

### joinPersistenceManagerServer

    public boolean joinPersistenceManagerServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Join the thread running the persistence manager server for this factory.
  Specified by:
    `joinPersistenceManagerServer` in interface `KodoPersistenceManagerFactory`
  Following copied from interface: `kodo.runtime.KodoPersistenceManagerFactory`
  Returns:
    false if no server is running, true otherwise

### stopPersistenceManagerServer

    public boolean stopPersistenceManagerServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Stop the persistence manager server.
  Specified by:
    `stopPersistenceManagerServer` in interface `KodoPersistenceManagerFactory`
  Following copied from interface: `kodo.runtime.KodoPersistenceManagerFactory`
  Returns:
    false if the server was not running, true otherwise

### isPersistenceManagerServerRunning

    public boolean isPersistenceManagerServerRunning()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return true if a persistence manager server is running.
  Specified by:
    `isPersistenceManagerServerRunning` in interface `KodoPersistenceManagerFactory`

### addInstanceLifecycleListener

    public void addInstanceLifecycleListener(InstanceLifecycleListener listener,
                                             Class[] cls)

  Description copied from interface: `KodoPersistenceManagerFactory`
  JDO 2.0 Preview. Register a listener for lifecycle-related events on the specified classes. If the classes are null, all events will be propagated to the listener. The listener will be passed on to all new persistence managers.
  Specified by:
    `addInstanceLifecycleListener` in interface `KodoPersistenceManagerFactory`

### removeInstanceLifecycleListener

    public void removeInstanceLifecycleListener(InstanceLifecycleListener listener)

  Description copied from interface: `KodoPersistenceManagerFactory`
  JDO 2.0 Preview. Remove a listener for lifecycle-related events.
  Specified by:
    `removeInstanceLifecycleListener` in interface `KodoPersistenceManagerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.